Skip to main content
POST
Cancel Change

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

changeId
string
required

The unique identifier of the change to cancel.

Response

successful operation

contractId
string
required

The unique identifier of the contract associated with this change.

id
string
required

The unique identifier for this contract change.

lineItemChanges
object[]
required

An array of line item changes associated with this contract change.

prorating
boolean
required

A boolean indicating whether the contract change involves prorating.

status
enum<string>
required

The current status of the contract change. Valid values include 'DRAFT', 'PROPOSED', 'ACCEPTED', 'CANCELED', 'FAILED', and 'EXPIRED'.

Available options:
ACCEPTED,
CANCELED,
DRAFT,
EXPIRED,
FAILED,
PROPOSED
type
enum<string>
required

The type of contract change, which can be either 'DIRECT' or 'QUOTE'.

Available options:
DIRECT,
QUOTE
createdAt
string<date-time>

The date and time when this contract change was created, in ISO 8601 format.

effectiveDate
string<date>

The date when the contract change becomes effective, in ISO 8601 date format.

name
string

The name of the contract change.

quoteId
string

The unique identifier of the quote associated with this contract change, if applicable.

updatedAt
string<date-time>

The date and time when this contract change was last updated, in ISO 8601 format.

Last modified on August 6, 2026